%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-basemap-data
Version:        0.9.5
Release:        3%{?dist}
Summary:        Data for python-basemap
Group:          Development/Libraries
License:        GPLv2 and Public Domain
URL:            http://matplotlib.sourceforge.net/matplotlib.toolkits.basemap.basemap.html
Source0:        http://dl.sf.net/matplotlib/basemap-%{version}.tgz
Source1:        http://dl.sf.net/matplotlib/basemap-data-hires-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
Requires:	python-basemap

%description
Data for python-basemap


%package        hires
Summary:        High resolution map data for python-basemap
Group:          Development/Libraries
License:        GPLv2
Requires:       python-basemap-data

%description    hires
%{summary}.


%package -n     python-basemap-examples
Summary:        Example programs and data for python-basemap
Group:          Development/Libraries
License:        Copyright only
Requires:       python-basemap

%description -n python-basemap-examples
%{summary}.


%prep
%setup -q -n basemap-%{version}
cp README examples/COPYING


%build


%install
rm -rf $RPM_BUILD_ROOT
# Install the data
install -d $RPM_BUILD_ROOT%{_datadir}
cp -a lib/matplotlib/toolkits/basemap/data $RPM_BUILD_ROOT%{_datadir}/basemap
# Extract the hires data
pushd $RPM_BUILD_ROOT%{_datadir}/basemap
tar xzf %SOURCE1
popd


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README LICENSE_data
%{_datadir}/basemap/
%exclude %{_datadir}/basemap/*_h.txt


%files hires
%defattr(-,root,root,-)
%doc LICENSE_data
%{_datadir}/basemap/*_h.txt


%files -n python-basemap-examples
%defattr(-,root,root,-)
%doc examples/*


%changelog
* Thu Aug 23 2007 Orion Poplawski <orion@cora.nwra.com> 0.9.5-3
- Update license tags

* Thu Mar 29 2007 Orion Poplawski <orion@cora.nwra.com> 0.9.5-2
- Change Requires from /usr/share/basemap to python-basemap

* Wed Mar 28 2007 Orion Poplawski <orion@cora.nwra.com> 0.9.5-1
- Split into regular and -hires packages
- Ship the basemap examples in python-basemap-examples

* Mon Feb 19 2007 Orion Poplawski <orion@cora.nwra.com> 0.9-2
- Add BR: python-devel

* Mon Jul  3 2006 Orion Poplawski <orion@cora.nwra.com> 0.9-1
- Update to 0.9

* Fri Feb 24 2006 Orion Poplawski <orion@cora.nwra.com> 0.8-1
- Update to 0.8

* Sun Nov 20 2005 Orion Poplawski <orion@cora.nwra.com> 0.7-1
- Initial package for Fedora Extras
